Bug 1565019 - Subnet cidr field is not marked as required when adding a new subnet
Summary: Subnet cidr field is not marked as required when adding a new subnet
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Alona Kaplan
QA Contact: Radim Hrazdil
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 07:24 UTC by Radim Hrazdil
Modified: 2019-02-07 23:01 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:30 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-ui-classic pull 3769 None None None 2018-04-16 11:17:18 UTC
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:35 UTC

Description Radim Hrazdil 2018-04-09 07:24:18 UTC
Description of problem:

Adding a new subnet without specified 'subnet cidr' field fails with following error:

'Unable to create Cloud Subnet: undefined method `response' for #<ArgumentError: cidr is required for this operation> Did you mean? respond_to?'

However, the 'subnet cidr' is not marked as required.

Using RHV OVN as external network provider.

Version-Release number of selected component (if applicable):
CFME 5.9.2.0.20180320210136_355c506
Version 4.2.2.5-0.1.el7

How reproducible:
100%

Steps to Reproduce:
1. Try to add a new subnet to a cloud network, fill only fields marked as ̈́'required'
2.
3.

Actual results:
Error, subnet cidr field is required.

Expected results:
Subnet cidr field should be marked a required and it shouldn't be possible to click 'Add' without filling it first.

Additional info:

Comment 4 Radim Hrazdil 2018-06-22 11:28:48 UTC
Verified that subnet cidr is marked as required.
Version 5.10.0.0.20180613200131_887cc81

Comment 6 errata-xmlrpc 2019-02-07 23:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.